- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# FbxIteratorDstBase Class Reference

Search for all occurrences

## Detailed Description

A utility class for iterating over destination objects that connect to property (FbxProperty) or object (FbxObject).

Definition at line 1417 of file fbxobject.h.

`#include <fbxobject.h>`

Inheritance diagram for FbxIteratorDstBase:
[legend]

List of all members.

## Public Member Functions
| FbxIteratorDstBase (FbxProperty &pProperty, FbxClassId pClassId)
| Constructor.
| FbxIteratorDstBase (FbxObject *pObject, FbxClassId pClassId)
| Constructor.
FbxObject * | GetFirst ()
| Get the first destination object that connects to the property or object.
FbxObject * | GetNext ()
| Get next destination object that connects to the property or object.
FbxObject * | GetSafeNext ()
| Get next destination object that connects to the property or object.
FbxObject * | GetLast ()
| Get the last destination object that connects to the property or object.
FbxObject * | GetPrevious ()
| Get previous destination object that connects to the property or object.
FbxObject * | GetSafePrevious ()
| Get previous destination object that connects to the property or object.
## Protected Member Functions
void | ResetToBegin ()
| Reset the iterate index to the beginning.
void | ResetToEnd ()
| Reset the iterate index to the end.
## Protected Attributes
FbxProperty | mProperty
| The property to iterate.
FbxClassId | mClassId
| The class ID specifies the type of the destination objects to be retrieved.
int | mSize
| The number of destination objects whose type is specified by mClassId.
int | mIndex
| Iterate index.

## Constructor & Destructor Documentation

FbxIteratorDstBase | ( | FbxProperty & | pProperty,
|  | FbxClassId | pClassId
| ) |  | `[inline]`

Constructor.

Parameters:

  pProperty | Property object. The iterator will iterate destination objects that connect to it.
  pClassId | The class ID specifies the type of the destination objects.

Definition at line 1434 of file fbxobject.h.

                                                                              :
            mProperty(pProperty),
            mClassId(pClassId),
            mSize(0),
            mIndex(-1)
        {
            ResetToBegin();
        }

FbxIteratorDstBase | ( | FbxObject * | pObject,
|  | FbxClassId | pClassId
| ) |  | `[inline]`

Constructor.

Parameters:

  pObject | FBX object. The iterator will iterate source objects that connect to it.
  pClassId | The class ID specifies the type of the source objects.

Definition at line 1448 of file fbxobject.h.

                                                                          :
            mProperty(pObject->RootProperty),
            mClassId(pClassId),
            mSize(0),
            mIndex(-1)
        {
            ResetToBegin();
        }

## Member Function Documentation

FbxObject* GetFirst | ( |  | ) | `[inline]`

Search for all occurrences

Get the first destination object that connects to the property or object.

Returns:
  The first destination object.

Reimplemented in FbxIteratorDst< Type >.

Definition at line 1461 of file fbxobject.h.

        {
            ResetToBegin();
            return GetNext();
        }

FbxObject* GetNext | ( |  | ) | `[inline]`

Search for all occurrences

Get next destination object that connects to the property or object.

Returns:
  The next destination object. If there are no more objects, return NULL.

Reimplemented in FbxIteratorDst< Type >.

Definition at line 1471 of file fbxobject.h.

        {
            mIndex++;
            return ((mIndex>=0) && (mIndex<mSize)) ? mProperty.GetDstObject(mClassId,mIndex) : NULL;
        }

FbxObject* GetSafeNext | ( |  | ) | `[inline]`

Search for all occurrences

Get next destination object that connects to the property or object.

Returns:
  The next destination object. If there are no more objects, return NULL.

Remarks:
  This method makes sure the iterate index is not out of bounds.

Reimplemented in FbxIteratorDst< Type >.

Definition at line 1482 of file fbxobject.h.

        {
            mSize = mProperty.GetDstObjectCount(mClassId);
            return GetNext();
        }

FbxObject* GetLast | ( |  | ) | `[inline]`

Search for all occurrences

Get the last destination object that connects to the property or object.

Returns:
  The last destination object.

Reimplemented in FbxIteratorDst< Type >.

Definition at line 1492 of file fbxobject.h.

        {
            ResetToEnd();
            return GetPrevious();
        }

FbxObject* GetPrevious | ( |  | ) | `[inline]`

Search for all occurrences

Get previous destination object that connects to the property or object.

Returns:
  The previous destination object. If there are no more objects, return NULL.

Reimplemented in FbxIteratorDst< Type >.

Definition at line 1502 of file fbxobject.h.

        {
            mIndex--;
            return ((mIndex>=0) && (mIndex<mSize)) ? mProperty.GetDstObject(mClassId,mIndex) : NULL;
        }

FbxObject* GetSafePrevious | ( |  | ) | `[inline]`

Search for all occurrences

Get previous destination object that connects to the property or object.

Returns:
  The previous destination object. If there are no more objects, return NULL.

Remarks:
  This method makes sure the iterate index is not out of bounds. If the iterate index is out of bounds, the last destination object is returned.

Reimplemented in FbxIteratorDst< Type >.

Definition at line 1514 of file fbxobject.h.

        {
            mSize = mProperty.GetDstObjectCount(mClassId);
            while (mIndex>mSize) mIndex--;
            return GetPrevious();
        }

void ResetToBegin | ( |  | ) | `[inline, protected]`

Search for all occurrences

Reset the iterate index to the beginning.

Definition at line 1527 of file fbxobject.h.

        {
            mSize = mProperty.GetDstObjectCount(mClassId);
            mIndex = -1;
        }

void ResetToEnd | ( |  | ) | `[inline, protected]`

Search for all occurrences

Reset the iterate index to the end.

Definition at line 1536 of file fbxobject.h.

        {
            mSize = mProperty.GetDstObjectCount(mClassId);
            mIndex = mSize;
        }

## Member Data Documentation

FbxProperty mProperty `[protected]`

Search for all occurrences

The property to iterate.

If iterate an object, this is the root property of the object.

Definition at line 1421 of file fbxobject.h.

FbxClassId mClassId `[protected]`

Search for all occurrences

The class ID specifies the type of the destination objects to be retrieved.

Definition at line 1423 of file fbxobject.h.

int mSize `[protected]`

Search for all occurrences

The number of destination objects whose type is specified by mClassId.

Definition at line 1425 of file fbxobject.h.

int mIndex `[protected]`

Search for all occurrences

Iterate index.

Definition at line 1427 of file fbxobject.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxobject.h

FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase
FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase FbxIteratorDstBase